Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing
Class JComboBox

Method Summary
`void` | `clear()` Removes all items from the JComboBox.
`Object` | `getAt(int index)` Support the subscript operator for JComboBox.
`Iterator` | `iterator()` Returns an Iterator which traverses the ComboBox one item at a time.
`JComboBox` | `leftShift(Object i)` Overloads the left shift operator to provide an easy way to add items to a JComboBox.
`int` | `size()` Provide the standard Groovy `size()` method for `JComboBox`.

Method Detail

### clear

    public void clear()

  Removes all items from the JComboBox.

Since:
  1.6.4

### getAt

    public Object getAt(int index)

  Support the subscript operator for JComboBox.

Parameters:
  `index` - the index of the item to get.

Returns:
  the tem at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the ComboBox one item at a time.

Returns:
  an Iterator for a ComboBox

Since:
  1.6.4

### leftShift

    public JComboBox leftShift(Object i)

  Overloads the left shift operator to provide an easy way to add items to a JComboBox.

Parameters:
  `i` - an item to be added to the comboBox..

Returns:
  same comboBox, after the value was added to it.

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `JComboBox`.

Returns:
  the intem count of the comboBox

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK